Description

Hello we have two users with the same first name and last name.

I've made simple patch to add new user format like "Lastname Firstname (Login)"

History

#1 - 2013-09-21 12:59 - Paulo Neves

This problem happened to me and I also ended up recreating your solution independently.

The better situation would be a check to only add the login if a duplicate was found. The problem with that approach is that you would have to

traverse all the users to know if you had a duplicate.

Else, you could add a flag to the database when the user format had duplicates.

This is kind of an annoying bug, because lay users get a bit confused

#2 - 2013-09-21 13:10 - Paulo Neves

- File Redmine duplicate name.png added

Here goes goes a picture as an example

 Redmine duplicate name.png 

#3 - 2013-10-01 10:43 - Toshi MARUYAMA

- Category set to Accounts / authentication

Files

additional_user_format.patch 772 Bytes 2012-05-10 Alexander Kriventsov

Redmine duplicate name.png 4.45 KB 2013-09-21 Paulo Neves
